NTNumericCredential (Java SE 13 & JDK 13 )
Description: declaration: module: jdk.security.auth, package: com.sun.security.auth, class: NTNumericCredential
Keywords: com.sun.security.auth.NTNumericCredential class

Module jdk.security.auth
Package com.sun.security.auth

# Class NTNumericCredential

java.lang.Object
com.sun.security.auth.NTNumericCredential

    public class NTNumericCredential
    extends Object

This class abstracts an NT security token and provides a mechanism to do same-process security impersonation.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `NTNumericCredential​(long token)` | Create an `NTNumericCredential` with an integer value.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `equals​(Object o)` | Compares the specified Object with this `NTNumericCredential` for equality.
  `long` | `getToken()` | Return an integer representation of this `NTNumericCredential`.
  `int` | `hashCode()` | Return a hash code for this `NTNumericCredential`.
  `String` | `toString()` | Return a string representation of this `NTNumericCredential`.

  ### Methods declared in class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NTNumericCredential

    public NTNumericCredential​(long token)
    Create an `NTNumericCredential` with an integer value.
    Parameters:
      `token` - the Windows NT security token for this user.

- ## Method Details

  - ### getToken

    public long getToken()
    Return an integer representation of this `NTNumericCredential`.
    Returns:
      an integer representation of this `NTNumericCredential`.

  - ### toString

    public String toString()
    Return a string representation of this `NTNumericCredential`.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of this `NTNumericCredential`.

  - ### equals

    public boolean equals​(Object o)
    Compares the specified Object with this `NTNumericCredential` for equality. Returns true if the given object is also a `NTNumericCredential` and the two NTNumericCredentials represent the same NT security token.
    Overrides:
      `equals` in class `Object`
    Parameters:
      `o` - Object to be compared for equality with this `NTNumericCredential`.
    Returns:
      true if the specified Object is equal to this `NTNumericCredential`.
    See Also:
      `Object.hashCode()`, `HashMap`

  - ### hashCode

    public int hashCode()
    Return a hash code for this `NTNumericCredential`.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      a hash code for this `NTNumericCredential`.
    See Also:
      `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`